# PalToken

**ERC20** contracts. This ERC20 represents the amount of underlying token deposited by the user in the associated **PalPool.**

This contract has the basic methods of an ERC20 (**balanceOf, approve, transfer, transferFrom,** …).The **mint()** and **burn()** methods are only available for the associated **PalPool**, and the amount of palTokens minted or burned during a **Deposit** of **Withdraw** depends on the **Exchange Rate** stored by the associated **PalPool.**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paladin.vote/paladin-lending/technical-docs/paltoken.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
